package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("体检模板项目详情")
public class HealthMedicalReportDetailVO {
   @ApiModelProperty("体检项目明细id")
   private Long medicalProjectDetailId;
   @ApiModelProperty("体检项目明细名称")
   private String medicalProjectDetailName;
   @ApiModelProperty("单位")
   private String medicalProjectDetailUnit;
   @ApiModelProperty("参考值")
   private String medicalProjectDetailReference;

   public Long getMedicalProjectDetailId() {
      return this.medicalProjectDetailId;
   }

   public String getMedicalProjectDetailName() {
      return this.medicalProjectDetailName;
   }

   public String getMedicalProjectDetailUnit() {
      return this.medicalProjectDetailUnit;
   }

   public String getMedicalProjectDetailReference() {
      return this.medicalProjectDetailReference;
   }

   public void setMedicalProjectDetailId(final Long medicalProjectDetailId) {
      this.medicalProjectDetailId = medicalProjectDetailId;
   }

   public void setMedicalProjectDetailName(final String medicalProjectDetailName) {
      this.medicalProjectDetailName = medicalProjectDetailName;
   }

   public void setMedicalProjectDetailUnit(final String medicalProjectDetailUnit) {
      this.medicalProjectDetailUnit = medicalProjectDetailUnit;
   }

   public void setMedicalProjectDetailReference(final String medicalProjectDetailReference) {
      this.medicalProjectDetailReference = medicalProjectDetailReference;
   }

   public String toString() {
      Long var10000 = this.getMedicalProjectDetailId();
      return "HealthMedicalReportDetailVO(medicalProjectDetailId=" + var10000 + ", medicalProjectDetailName=" + this.getMedicalProjectDetailName() + ", medicalProjectDetailUnit=" + this.getMedicalProjectDetailUnit() + ", medicalProjectDetailReference=" + this.getMedicalProjectDetailReference() + ")";
   }
}
